This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 239141 - fresh f7t4 install avc denied message for df
fresh f7t4 install avc denied message for df
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-05 04:16 EDT by David Timms
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-17 05:39:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Timms 2007-05-05 04:16:47 EDT
Description of problem:
avc denied as shown by setroubleshoot

Version-Release number of selected component (if applicable):
coreutils-6.9-2.fc7
libselinux-2.0.13-1.fc7
libselinux-python-2.0.13-1.fc7
libsepol-2.0.3-1.fc7
policycoreutils-2.0.9-7.fc7
policycoreutils-gui-2.0.9-7.fc7
selinux-policy-2.6.1-1.fc7
selinux-policy-targeted-2.6.1-1.fc7

How reproducible:
running a freshly installed f7t4 default machine.

Actual results:
...
Additional Information        

Source Context                system_u:system_r:logwatch_t
Target Context                system_u:object_r:default_t
Target Objects                / [ dir ]
Affected RPM Packages         coreutils-6.9-2.fc7
                              [application]filesystem-2.4.6-1.fc7 [target]
Policy RPM                    selinux-policy-2.6.1-1.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.default
Host Name                     poweredge
Platform                      Linux poweredge 2.6.21-1.3116.fc7 #1 SMP Thu Apr
                              26 10:36:44 EDT 2007 i686 i686
Alert Count                   4
First Seen                    Sat 05 May 2007 02:53:10 PM EST
Last Seen                     Sat 05 May 2007 02:53:10 PM EST
Local ID                      bff171ec-d9f4-45cb-b76e-b37d56002e64
Line Numbers                  

Raw Audit Messages            

avc: denied { search } for comm="df" dev=sda5 egid=0 euid=0 exe="/bin/df"
exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name="/" pid=4546
scontext=system_u:system_r:logwatch_t:s0 sgid=0
subj=system_u:system_r:logwatch_t:s0 suid=0 tclass=dir
tcontext=system_u:object_r:default_t:s0 tty=(none) uid=0

Expected:
no blocking or fixed app ?
Comment 1 Daniel Walsh 2007-05-17 12:50:12 EDT
Anaconda problem that caused /root to mislabeled.  Fixed in rawhide.
Comment 2 David Timms 2007-07-17 05:39:49 EDT
Not seen after numerous F7 installs, so closing.

Note You need to log in before you can comment on or make changes to this bug.